Mailrelay API Reference

Get an SMTP email by id

GET https://{account}/api/v1/smtp_emails/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get an SMTP email by id

Parameters

NameTypeRequiredDescription
include_impressions boolean No Include impressions in the results
include_clicks boolean No Include clicks in the results
include_unsubscribe_events boolean No Include unsubscribe events in the results
include_smtp_tags boolean No Include smtp tags in the results
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subscriber_id integer Subscriber
email string Email
status string Status
processed_at string Processed at
delivered_at string Delivered at
bounced_at string Bounced at
bounce_category string Bounce category
bounce_message string Bounce message
soft_bounced_at string Soft bounced at
updated_at string Updated at
reported_as_spam boolean Reported as spam
message_id string Message ID
sender_email string Sender
used_credits integer Used credits
impressions array Impressions
clicks array Clicks
unsubscribe_events array Unsubscribe events
smtp_tags array SMTP tags